Subject: Re: Notes on http-push

From: Nick Hengeveld <[email-masked]>
Date: Tue, 8 Nov 2005 07:50:21 -0800

On Tue, Nov 08, 2005 at 12:59:45AM -0800, Junio C Hamano wrote:

> Pushing git commit history into SVN server --- this must be a
> sick joke ;-).  Can you pull over http from there?

I rather felt like I'd violated some law of nature or something.  Pulls
work fine from there - it's feasible to put an entire GIT repo behind a
DAV server, assuming there's a way to run all the non-push/pull git
commands.  If you're using mod_dav_fs, that could just mean having
shell/filesystem access to the server.  If you're using mod_dav_svn, it
could either mean using something like Davfs2 or putting intelligence
into the git commands to handle GIT_DIR=http://dav.serv.er/path by using
HTTP GET/PUT instead of read/write system calls.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.